ranges::push_front_fn Struct Reference
Actions

## Public Member Functions

template<typename T >
CPP_TEMPLATE_AUX_0 | c (requires range< T & >) ccconstexpr auto operator()(T &t) const
template<typename Rng , typename T >
| CPP_TEMPLATE_AUX_0 (requires input_range< Rng > &&can_push_front_< Rng, T > &&(range< T >||constructible_from< range_value_t< Rng >, T >)) Rng operator()(Rng &&rng
template<typename T >
constexpr auto | operator() (std::initializer_list< T > val) const
template<typename T >
constexpr auto | operator() (T &&val) const
template<typename Rng , typename T >
CPP_TEMPLATE_AUX_0 | R (requires input_range< Rng > &&can_push_front_< Rng, std::initializer_list< T >> &&constructible_from< range_value_t< Rng >, T const & >) RRRng operator()(Rng &&rng
return | static_cast (rng)
return | static_cast (rng)

## Public Attributes

T &&t | const
CPP_TEMPLATE_AUX_0 std::initializer_list< T > t | const

## Member Data Documentation

## const [1/2]

T&& t ranges::push_front_fn::const

Initial value:
{
push_front(rng, static_cast<T &&>(t))
meta::push_front
apply< bind_front< quote< list >, Ts... >, L > push_front
Return a new meta::list by adding the element T to the front of L.
Definition: meta.hpp:2120

## const [2/2]

CPP_TEMPLATE_AUX_0 std::initializer_list<T> t ranges::push_front_fn::const

Initial value:
{
push_front(rng, t)